0
Résultats de validation

Odio

Odio

WordPress 5.8.1 theme
0
  • TYPE DE THèMEThème WordPress %s 5.8.1
  • NOM DU FICHIERodio.zip
  • TAILLE DU FICHIER4702895 octets
  • MD5dee2edd3714248444142d4f40a024a9f
  • SHA1cb3dc8c1266caa6d7347cc1ab1c44d844dba3505
  • LICENCEGNU GPL 2
  • FICHIERS INCLUSCSS, PHP, HTML, XML, Bitmap images, Adobe Illustrator
  • URI DU THèME URIhttp://odio.freevision.me/
  • VERSION4.3
  • TAGSone-column, two-columns, right-sidebar, fluid-layout, fixed-layout, responsive-layout, custom-header, custom-menu, editor-style, featured-images, microformats, post-formats, rtl-language-support, sticky-post, translation-ready
  • DATE DE CRéATION2021-07-09
  • DERNIèRE MISE à JOUR DU FICHIER2021-07-09
  • DERNIèRE VALIDATION2021-07-09 10:55
Ce thème n'est peut être pas libre. Themecheck ne distribue pas de thèmes commerciaux.
Alertes critiques
  1. Title : Title Absence de référence à add_theme_support( "title-tag" ) dans le thème.Le thème doit avoir des tags <title>, idéalement dans le fichier header.php.Le thème doit comporter un appel à wp_title(), idéalement dans le fichier header.php.
  2. Failles de sécurité : Utilisation de base64_decode() base64_decode trouvé dans le fichier OAuth.php. 202: $decoded_sig = base64_decode($signature);
  3. Failles de sécurité : Utilisation de base64_encode() base64_encode trouvé dans le fichier OAuth.php.
     return base64_encode(hash_hmac('sha1', $base_string, $key, true));
     return base64_encode($signature);
  4. Présence d'iframes : Les iframes sont parfois utilisées pour charger du contenu non désirés ou du code malicieux sur des sites tiers <iframe width="100%" height="1400" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="<?php echo esc_url($address); ?> trouvé dans le fichier google-maps_bg.php. 6: <div id='ozy-google-map-background'><iframe width='100%' height='1400' frameborder='0' scrolling='no' marginhei<iframe width="100%" height="446" src="//www.youtube.com/embed/$2" frameborder="0" allowfullscreen> trouvé dans le fichier helper.php. 450: => '<div class='ozy-video-wrapper'><iframe width='100%' height='446' src='//www.youtube.com/embed/$2' framebor<iframe src="http://doc.freevision.me/odio/" id="ozy-help-iframe" width="100%" height="800px" frameborder="0"> trouvé dans le fichier functions.php. 669: echo '<iframe src='http://doc.freevision.me/odio/' id='ozy-help-iframe' width='10
  5. Code malveillant : Opérations sur système de fichiers file_get_contents trouvé dans le fichier sources.php. 109: $fonts = file_get_contents(dirname(__FILE__) . '/gwf.json');132: $fonts = file_get_contents(dirname(__FILE__) . '/gwf.json');156: $fonts = file_get_contents(dirname(__FILE__) . '/gwf.json');233: $subject = file_get_contents(VP_DIR . '/public/css/vendor/font-awesome.min.css');file_get_contents trouvé dans le fichier sources.php. 109: $fonts = file_get_contents(dirname(__FILE__) . '/gwf.json');132: $fonts = file_get_contents(dirname(__FILE__) . '/gwf.json');156: $fonts = file_get_contents(dirname(__FILE__) . '/gwf.json');233: $subject = file_get_contents(VP_DIR . '/public/css/vendor/font-awesome.min.css');file_get_contents trouvé dans le fichier sources.php. 109: $fonts = file_get_contents(dirname(__FILE__) . '/gwf.json');132: $fonts = file_get_contents(dirname(__FILE__) . '/gwf.json');156: $fonts = file_get_contents(dirname(__FILE__) . '/gwf.json');233: $subject = file_get_contents(VP_DIR . '/public/css/vendor/font-awesome.min.css');file_get_contents trouvé dans le fichier sources.php. 109: $fonts = file_get_contents(dirname(__FILE__) . '/gwf.json');132: $fonts = file_get_contents(dirname(__FILE__) . '/gwf.json');156: $fonts = file_get_contents(dirname(__FILE__) . '/gwf.json');233: $subject = file_get_contents(VP_DIR . '/public/css/vendor/font-awesome.min.css');file_get_contents trouvé dans le fichier update-notifier.php. 104: $cache = file_get_contents($notifier_file_url); // ...if not, use the common file_gefile_get_contents trouvé dans le fichier update-notifier.php. 104: $cache = file_get_contents($notifier_file_url); // ...if not, use the common file_gefile_get_contents trouvé dans le fichier OAuth.php. 272: file_get_contents(self::$POST_INPUT)
  6. Code malveillant : Opérations réseau curl_init trouvé dans le fichier functions.php. 240: $ch = curl_init();curl_exec trouvé dans le fichier functions.php. 245: $result = curl_exec($ch);curl_init trouvé dans le fichier twitteroauth.php. 195: $ci = curl_init();curl_exec trouvé dans le fichier twitteroauth.php. 221: $response = curl_exec($ci);curl_init trouvé dans le fichier update-notifier.php. 96: if( function_exists('curl_init') ) { // if cURL is available, use it...97: $ch = curl_init($notifier_file_url);curl_exec trouvé dans le fichier update-notifier.php. 101: $cache = curl_exec($ch);
  7. Menu Admin : Les thèmes doivent utiliser add_theme_page () pour ajouter des pages admin. Fichier option.php : 121: $hook_suffix = add_menu_page(Fichier option.php : 133: $hook_suffix = add_submenu_page(Fichier update-notifier.php : 19: add_dashboard_page( OZY_NOTIFIER_THEME_NAME . ' Theme Updates', OZY_NOTIFIEFichier functions.php : 657: add_menu_page(
Attention
  1. Script de core désabonné : Désabonnement d'un script de coreAppel à wp_deregister_script dans loader.php. Les thèmes ne doivent appeler wp_deregister_script sur des scripts du core. 206: wp_deregister_script($name);
  2. tags du thème : Présence de tags inconnusLe tag fluid-layout est obsolète, il ne doit pas figurer dans le header de style.css.Le tag fixed-layout est obsolète, il ne doit pas figurer dans le header de style.css.Le tag responsive-layout est obsolète, il ne doit pas figurer dans le header de style.css.
  3. Text domain : Utilisation incorrecte des fonctions de traduction.Utilisation d'une fonction de traduction avec un nombre incorrect d'arguments. Fonction esc_attr__, avec les arguments 'When you verify the theme, your domain name (', ), current ip address (, ') and purchase code will be stored in our servers.' dans le fichier extender.php.Utilisation d'une fonction de traduction avec un nombre incorrect d'arguments. Fonction esc_attr__, avec les arguments 'When you verify the theme, your domain name (', ), current ip address (, ') and purchase code will be stored in our servers.', 'odio' dans le fichier extender.php.Une fonction de traduction utilisée sans text-domain. Fonction __, avec les arguments 'odio' dans le fichier extender.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments '<span class="required-plugin-line">This theme requires the following plugin for the perfect results:</span> %1$s.', 'This theme requires the following plugins: %1$s.' dans le fichier plugins.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'This theme recommends the following plugin for the perfect results: %1$s.', 'This theme recommends the following plugins for the perfect results: %1$s.' dans le fichier plugins.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' dans le fichier plugins.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments '<span class="required-plugin-line">The following required plugin is currently inactive:</span> %1$s.', 'The following required plugins are currently inactive: %1$s.' dans le fichier plugins.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' dans le fichier plugins.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' dans le fichier plugins.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' dans le fichier plugins.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' dans le fichier plugins.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Begin installing plugin', 'Begin installing plugins' dans le fichier plugins.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Activate installed plugin', 'Activate installed plugins' dans le fichier plugins.php.Plusieurs text-domain sont utilisés dans le thème. Cela signifie que le thème n'est pas compatible avec les language packs de WordPress. Les domaines trouvés sont odio, tgmpa, ), current ip address (, henna, wpb.
  4. Barre d'admin cachée : Barre d'admin cachée dans CSSLes thèmes ne doivent pas cacher la barre d'admin. Détecté dans le fichier style.css.
  5. Eléments custom : Présence d'une entête customAucune référence à custom header n'a été trouvée dans le thème.
  6. Eléments custom : Présence d'un fond customAucune référence à custom background n'a été trouvée dans le thème.
  7. Fonctions obsolètes : wp_richedit_prewp_richedit_pre trouvé dans le fichier wpeditor.php . Obsolète depuis la version de la 4.3. 9: $value = wp_richedit_pre($value);
  8. Implémentation de l'internationalisation : Utilisation correcte de ___al(La variable $message a été trouvée dans une fonction de traduction dans le fichier extender.php . Les appels de fonctions de traduction ne doivent pas contenir de variables PHP.
  9. Implémentation de la date et de l'heure : Utilisation de the_time()Au moins une date codée en dur a été trouvée dans le fichier helper.php. Il est préférable d'utiliser la fonction get_option( 'date_format' )à la place.
  10. Screenshot : Copie d'écranLa taille du screenshot est 880x660px. La taille recommandée est 1200x900, pour prendre en compte les affichages HiDPI. Bien qu'une résolution de 1200x900 soit recommandée, toutes les images au format 4:3 sont acceptables.Mauvaise extension de fichier screenshot ! Le fichier screenshot.png n'est pas un véritable fichier JPG. Le type détecté est : "image/png".
Info
  1. présence de favicon : Gestion des faviconsDéclaration de favicon trouvée dans header.php. Les favicons sont prises en charges dans le paramètrage Site Icon depuis la version 4.3.
  2. Fichiers optionnels : Présence du fichierde style pour les écritures de droite vers la gauche rtl.cssCe thème ne contient pas le fichier optionnel rtl.php.
  3. Fichiers optionnels : Présence du fichier-template fron-*page.phpCe thème ne contient pas le fichier optionnel front-page.php.
  4. Fichiers optionnels : Présence du fichier-template de page d'accueil home.phpCe thème ne contient pas le fichier optionnel home.php.
  5. Fichiers optionnels : Présence du fichier template de taxinomie taxonomy.phpCe thème ne contient pas le fichier optionnel taxonomy.php.
  6. Fichiers optionnels : Présence du fichier-template des pièces jointes attachment.phpCe thème ne contient pas le fichier optionnel attachment.php.
  7. Fichiers optionnels : Présence du fichier-template des images image.phpCe thème ne contient pas le fichier optionnel image.php.
  8. Utilisation d'includes : Utilisation de include ou de de requireLe thème semble utiliser include ou require : page.php 291: Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : tag.php 125: //include('include/share-buttons-blog-regular.php'); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : bootstrap.php 9: require_once 'constant.php';14: require_once 'autoload.php';30: require_once($datasource); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : archive.php 125: //include('include/share-buttons-blog-regular.php'); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : header.php 38: include_once(get_template_directory() . '/include/primary-menu.php'); 39: include_once(get_template_directory() . '/include/google-maps_bg.php'); /* 51: include_once('include/header.php'); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : single.php 107: include('include/share-buttons.php');137: <?php include_once('include/blog-related-posts-navigation.php');?> Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : page-regular-blog.php 132: //include('include/share-buttons-blog-regular.php'); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : twitteroauth.php 10: require_once('OAuth.php'); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : extender.php 206: require_once ( get_template_directory() . '/functions/plugins.php' ); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : plugins.php 3: include_once('classes/tgm-plugin-activation.php'); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : footer.php 11: include('include/footer-bars.php'); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
Other checked themes